package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import net.sourceforge.pinyin4j.PinyinHelper;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/getPinYinHeadChar.class */
public class getPinYinHeadChar extends LifeJDBCAction {
    private String inputFields;
    private String outputFields;

    public String execute(Context context) throws GENEException {
        String inputField = (String) context.getDataValue(this.inputFields);
        StringBuilder convert = new StringBuilder();
        for (int j = 0; j < inputField.length(); j++) {
            char word = inputField.charAt(j);
            String[] pinyinArray = PinyinHelper.toHanyuPinyinStringArray(word);
            if (pinyinArray != null) {
                convert.append(pinyinArray[0].charAt(0));
            } else {
                convert.append(word);
            }
        }
        String output = convert.toString();
        context.setDataValue(this.outputFields, output);
        return output;
    }

    public String getInputFields() {
        return this.inputFields;
    }

    public void setInputFields(String inputFields) {
        this.inputFields = inputFields;
    }

    public String getOutputFields() {
        return this.outputFields;
    }

    public void setOutputFields(String outputFields) {
        this.outputFields = outputFields;
    }
}
